/*
    KSocrat
    Version 3.1.2, 28 April 2003    
    (C) 2000-2003 Zavolzhsky Alexandr <zavolzhsky@mail.ru>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include <kapp.h>
#include <klocale.h>
#include "sconfigure.h"

void  SConfigure::initDialog(){
  this->resize(360,250);
  this->setMinimumSize(0,0);
  this->setFixedSize(360,250);
  
  gbConfigure= new QGroupBox(this,"gbConfigure");
  gbConfigure->setGeometry(5,5,350,130);
  gbConfigure->setMinimumSize(0,0);
  gbConfigure->setTitle(i18n("Dictionary location"));

  edEnRuPath= new QLineEdit(gbConfigure,"edEnRuPath");
  edEnRuPath->setGeometry(10,40,230,24);
  edEnRuPath->setMinimumSize(0,0);

  btBrowse1= new QPushButton(gbConfigure,"btBrowse1");
  btBrowse1->setGeometry(250,40,90,24);
  btBrowse1->setMinimumSize(0,0);
  btBrowse1->setText(i18n("&Browse..."));

  lbEnRu= new QLabel(gbConfigure,"lbEnRu");
  lbEnRu->setGeometry(10,15,300,20);
  lbEnRu->setMinimumSize(0,0);
  lbEnRu->setText(i18n("English/Russian dictionary filename"));

  edRuEnPath= new QLineEdit(gbConfigure,"edRuEnPath");
  edRuEnPath->setGeometry(10,90,230,24);
  edRuEnPath->setMinimumSize(0,0);

  btBrowse2= new QPushButton(gbConfigure,"btBrowse2");
  btBrowse2->setGeometry(250,90,90,24);
  btBrowse2->setMinimumSize(0,0);
  btBrowse2->setText(i18n("Bro&wse..."));

  lbRuEn= new QLabel(this,"lbRuEn");
  lbRuEn->setGeometry(15,75,300,20);
  lbRuEn->setMinimumSize(0,0);
  lbRuEn->setText(i18n("Russian/English dictionary filename"));

  btOk= new QPushButton(this,"btOk");
  btOk->setGeometry(60,215,100,24);
  btOk->setMinimumSize(0,0);
  btOk->setFocus();
  btOk->setText(i18n("&OK"));

  btCancel= new QPushButton(this,"btCancel");
  btCancel->setGeometry(200,215,100,24);
  btCancel->setMinimumSize(0,0);
  btCancel->setText(i18n("&Cancel"));

  gbFont= new QGroupBox(this,"gbFont");
  gbFont->setGeometry(5,140,235,40);
  gbFont->setMinimumSize(0,0);
  gbFont->setTitle(i18n("Font"));

  lbFont= new QLabel(this,"lbFont");
  lbFont->setGeometry(12,154,120,20);
  lbFont->setMinimumSize(0,0);
  lbFont->setText(i18n("Font for application"));

  btFont= new QPushButton(this,"btFont");
  btFont->setGeometry(140,152,90,22);
  btFont->setMinimumSize(0,0);
  btFont->setText(i18n("&Font..."));

  btClrHist= new QPushButton(this,"btClrHist");
  btClrHist->setGeometry(250,152,100,22);
  btClrHist->setMinimumSize(0,0);
  btClrHist->setText(i18n("Clear history"));

  cbHideOnStartUp = new QCheckBox(this,"cbHideOnStartUp");
  cbHideOnStartUp->setGeometry(10,185,250,20);
  cbHideOnStartUp->setMinimumSize(0,0);
  cbHideOnStartUp->setChecked(false);
  cbHideOnStartUp->setText(i18n("Hide application window on start-up."));
}
